Script:LoadScript("scripts/materials/commoneffects.lua");
Materials["mat_head"] = {
	type="head",
-------------------------------------	
	PhysicsSounds=PhysicsSoundsTable.Soft,
-------------------------------------
	bullet_hit = {
		sounds = {
			{"Sounds/bullethits/pbullet1.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/pbullet2.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/pbullet3.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/pbullet4.wav",SOUND_UNSCALABLE,220,10,80},
			
		},

		decal = { 
			gore = 1,	-- to be able to switch off gore -- to know what's allowed		
			texture = System:LoadTexture("Languages/Textures/Decal/hole_blood_head.dds",0,1),
			scale = 0.15,
		},

		
		particleEffects = {
			gore = 1,	-- to be able to switch off gore -- to know what's allowed
			name = "bullet.hit_flesh.a",
		},
		
--//
--// b@STARd <MoregorE v0.2> anfang
--//
		
		particles = {
			{--blood_chunks_med
			gore = 1,
				focus = 0.05, 
				color = {1,1,1},
				speed = 6, 
				count = 2,
				size = 0.04, size_speed = 0.02,
				gravity = {x = 0, y = 0, z = -20},
				lifetime = 1.5,
				frames = 32,
				color_based_blending = 0,
				tid = System:LoadAnimatedTexture("textures/gore/animated/chunks/chunk%04d.tga",1600),
		    		ChildSpawnPeriod = 1,
		    		ChildProcess = 
					{					
					speed = 0,
					count = 1,
					frames = 1,
					size = 0.25,
					lifetime=100,
					tid = System:LoadTexture("textures/gore/blood_stain2.dds"),
					particle_type = 1,
			  		}
			},
			{--blood_chunks_sml
			gore = 1,
				focus = 0.05, 
				color = {1,1,1},
				speed = 6, 
				count = 3,
				size = 0.02, size_speed = 0.01,
				gravity = {x = 0, y = 0, z = -20},
				lifetime = 1.5,
				frames = 32,
				color_based_blending = 0,
				tid = System:LoadAnimatedTexture("textures/gore/animated/chunks/chunky%04d.tga",1600),
		    		ChildSpawnPeriod = 1,
		    		ChildProcess = 
					{
					speed = 0,
					count = 1,
					frames = 1,
					size = 0.1,
					lifetime=100,
					tid = System:LoadTexture("textures/gore/blood_stain3.dds"),
					particle_type = 1,
			  		}
			},
		},
			
--//
--// b@STARd <MoregorE v0.2> ende
--//

	},

	pancor_bullet_hit = {
		sounds = {
			{"Sounds/bullethits/headbullet1.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/headbullet2.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/headbullet3.wav",SOUND_UNSCALABLE,220,10,80},
			{"Sounds/bullethits/headbullet11.wav",SOUND_UNSCALABLE,220,10,80},
			--{"Sounds/explosions/explosion2.wav",SOUND_UNSCALABLE,200,10,80},
				},
		decal = { 
			gore = 1,	-- to be able to switch off gore -- to know what's allowed		
			texture = System:LoadTexture("Languages/Textures/Decal/hole_blood_head.dds",0,1),
			scale = 0.15,
		},
		particleEffects = {
			gore = 1,	-- to be able to switch off gore -- to know what's allowed
			name = "bullet.hit_flesh_pancor.a",
					},

--//
--// b@STARd <MoregorE v0.2> anfang
--//
		
		particles = {
			{ --blood_squirt
			gore = 1,						
				focus = 1.5,
				start_color = {1,0,0},
				end_color = {1,0,0},
				speed = 0.0,
				count = 1,
				size = 0.25,
				size_speed=0.015,
				gravity={x=0,y=0,z=-5},
				lifetime=10,
				tid = System:LoadTexture("textures/gore/blood_squirt.dds"),
				frames=0,
				particle_type = 1,
				bouncyness = 0,
			},
			{ --blood_smoke
			gore = 1,						
				bLinearSizeSpeed=1,
				focus = 0.5,
				start_color = {0.5,0,0},
				end_color = {0.5,0,0},
				speed = 0.75,
				count = 1,
				size = 0.025,
				size_speed=0.75,
				gravity={x=0,y=0,z=-3},
				lifetime=0.75,
				tid = System:LoadTexture("textures/gore/blood_smoke.dds"),
				frames=0,
				bouncyness = 0,
			
			},
			{ --blood_smoke2
			gore = 1,						
				bLinearSizeSpeed=1,
				focus = 0.5,
				start_color = {0.5,0,0},
				end_color = {0.5,0,0},
				speed = 0.75,
				count = 1,
				size = 0.025,
				size_speed=0.75,
				gravity={x=0,y=0,z=-3},
				lifetime=0.75,
				tid = System:LoadTexture("textures/gore/blood_smoke_a.dds"),
				frames=0,
				bouncyness = 0,
			
			},
			{ --blood_smoke_dark
			gore = 1,						
				bLinearSizeSpeed=1,
				focus = 0.5,
				start_color = {0.5,0,0},
				end_color = {0.5,0,0},
				speed = 0.75,
				count = 1,
				size = 0.005,
				size_speed=0.75,
				gravity={x=0,y=0,z=-3},
				lifetime=0.75,
				tid = System:LoadTexture("textures/gore/blood_smoke_b.dds"),
				frames=0,
				bouncyness = 0,
			
			},
			{ --blood_smoke2_dark
			gore = 1,						
				bLinearSizeSpeed=1,
				focus = 0.5,
				start_color = {0.5,0,0},
				end_color = {0.5,0,0},
				speed = 0.75,
				count = 1,
				size = 0.005,
				size_speed=0.75,
				gravity={x=0,y=0,z=-3},
				lifetime=0.75,
				tid = System:LoadTexture("textures/gore/blood_smoke_b.dds"),
				frames=0,
				bouncyness = 0,
			
			},
			{ --blood_drops
			gore = 1,						
				focus = 1.0,
				speed = 5,
				start_color = {0.5,0,0},
				end_color = {0.5,0,0},
				count = 3,
				size = 0.020,
				size_speed=0.0,
				gravity={x=0,y=0,z=-10},
				lifetime=0.25,
				tail_length = 0.25,
				tid = System:LoadTexture("textures/gore/blood_big.dds"),
				frames=0,
				bouncyness = 0,
			},
			
			{--blood_chunks_lg
			gore = 1,
				focus = 0.05, 
				color = {1,1,1},
				speed = 6, 
				count = 1,
				size = 0.08, size_speed = 0.04,
				gravity = {x = 0, y = 0, z = -20},
				lifetime = 1.5,
				frames = 32,
				color_based_blending = 0,
				tid = System:LoadAnimatedTexture("textures/gore/animated/chunks/chunk%04d.tga",1600),
		    		ChildSpawnPeriod = 1,
		    		ChildProcess =
					{
					speed = 0,
					count = 1,
					frames = 1,
					size = 0.4,
					lifetime=100,
					tid = System:LoadTexture("textures/gore/blood_stain6.dds"),
					particle_type = 1,
			  		}
			},			
		},
			
--//
--// b@STARd <MoregorE v0.2> ende
--//					
					
	},

	
		-------------------------
	melee_punch = {
		sounds = {
			{"sounds/objectimpact/hit1.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit2.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit3.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit4.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit5.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit6.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit7.wav",SOUND_UNSCALABLE,255,5,30},
			{"sounds/objectimpact/hit8.wav",SOUND_UNSCALABLE,255,5,30},
			
		},
	},
	melee_slash = {
		sounds = {
			{"sounds/objectimpact/Mslash1.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash2.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash3.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash4.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash5.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash6.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash7.wav",SOUND_UNSCALABLE,185,5,30},
			{"sounds/objectimpact/Mslash8.wav",SOUND_UNSCALABLE,255,5,30},
		},

--eingefgt von Niall <Schnittwunden-Mod v0.1>anfang
--//
--// b@STARd <MoregorE v0.2> 
--// nderung der gre damit es besser aussieht ;}

		decal = { 
			gore = 1,			-- to be able to switch off gore -- to know what's allowed
			texture = System:LoadTexture("Languages/Textures/Decal/flesh_slash.dds",0,1),
			scale = 0.06, --0.2						
		},

--eingefgt von Niall <Schnittwunden-Mod v0.1>ende
		
		particleEffects = {
			gore = 1,	-- to be able to switch off gore -- to know what's allowed
			name = "bullet.hit_flesh.a",
		},
		
--//
--// b@STARd <MoregorE v0.2> anfang
--//
		
		particles = {
			{--blood_chunks_med
			gore = 1,
				focus = 0.05, 
				color = {1,1,1},
				speed = 6, 
				count = 2,
				size = 0.04, size_speed = 0.02,
				gravity = {x = 0, y = 0, z = -20},
				lifetime = 1.5,
				frames = 32,
				color_based_blending = 0,
				tid = System:LoadAnimatedTexture("textures/gore/animated/chunks/chunk%04d.tga",1600),
		    		ChildSpawnPeriod = 1,
		    		ChildProcess = 
					{					
					speed = 0,
					count = 1,
					frames = 1,
					size = 0.25,
					lifetime=100,
					tid = System:LoadTexture("textures/gore/blood_stain4.dds"),
					particle_type = 1,
			  		}
			},
			{--blood_chunks_sml
			gore = 1,
				focus = 0.05, 
				color = {1,1,1},
				speed = 6, 
				count = 3,
				size = 0.02, size_speed = 0.01,
				gravity = {x = 0, y = 0, z = -20},
				lifetime = 1.5,
				frames = 32,
				color_based_blending = 0,
				tid = System:LoadAnimatedTexture("textures/gore/animated/chunks/chunky%04d.tga",1600),
		    		ChildSpawnPeriod = 1,
		    		ChildProcess = 
					{
					speed = 0,
					count = 1,
					frames = 1,
					size = 0.1,
					lifetime=100,
					tid = System:LoadTexture("textures/gore/blood_stain5.dds"),
					particle_type = 1,
			  		}
			},			
		},
			
--//
--// b@STARd <MoregorE v0.2> ende
--//

	},

	projectile_hit = CommonEffects.common_projectile_hit,
	mortar_hit = CommonEffects.common_mortar_hit,
	smokegrenade_hit = CommonEffects.common_smokegrenade_hit,
	flashgrenade_hit = CommonEffects.common_flashgrenade_hit,
	grenade_hit = CommonEffects.common_grenade_hit,
	
-------------------------------------
	gameplay_physic = {
		piercing_resistence = 15,
		friction = 0.4,
		bouncyness= -2, -- default 0
	},

	AI = {
		fImpactRadius = 5,
	},


}